> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudsquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Table Data

> Retrieve all data from a table.



## OpenAPI

````yaml get /projects/{project_name}/tables/{table_id}/data
openapi: 3.0.3
info:
  title: Cloudsquid
  description: This is the backend of cloudsquid specification
  termsOfService: cloudsquid.io
  contact:
    email: info@cloudsquid.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://api.cloudsquid.io/api
    description: API
security:
  - api-key: []
paths:
  /projects/{project_name}/tables/{table_id}/data:
    parameters:
      - name: project_name
        in: path
        required: true
        description: The name of the project
        schema:
          type: string
      - name: table_id
        in: path
        required: true
        description: The id of the table
        schema:
          type: string
          format: uuid
    get:
      tags:
        - tables
      summary: GET /projects/{project_name}/tables/{table_id}/data
      description: get all data of a table
      parameters:
        - name: data_id
          in: query
          required: false
          description: Optional filter for a specific data id
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successfully retrieved data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataRow'
        '500':
          description: Something went wrong
components:
  schemas:
    DataRow:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
        created_at:
          type: string
          format: date-time
        reasoning:
          type: string
        row_id:
          type: string
          format: uuid
        review:
          $ref: '#/components/schemas/Review'
        status:
          $ref: '#/components/schemas/RunStatus'
        input:
          $ref: '#/components/schemas/AgentJobInput'
      required:
        - data
        - row_id
        - created_at
    Data:
      type: object
      additionalProperties:
        oneOf:
          - type: string
          - type: boolean
          - type: number
          - type: array
            items:
              oneOf:
                - type: string
                - type: boolean
                - type: number
      description: >-
        Object with direct values for each key, allowing single values or arrays
        of values.
    Review:
      type: object
      properties:
        approved:
          type: boolean
          description: Whether it is approved or not
        comment:
          type: string
          description: review comment
        reviewed_by:
          type: string
          description: Email of the user who reviewed it
        review_date:
          type: string
          format: date-time
      required:
        - comment
        - reviewed_by
        - review_date
    RunStatus:
      type: string
      description: status of the AI run
      enum:
        - running
        - done
        - error
        - pending
    AgentJobInput:
      type: object
      properties:
        files:
          type: array
          description: Filesystem object references
          items:
            $ref: '#/components/schemas/AgentJobFilesystemObject'
        data:
          description: Arbitrary data payload
          type: object
          additionalProperties: true
      required:
        - data
    AgentJobFilesystemObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
      required:
        - id
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````